import React, { useEffect } from "react";
import { makeStyles } from "@material-ui/core/styles";
import Grid from "@material-ui/core/Grid";
import Paper from "@material-ui/core/Paper";
import Typography from "@material-ui/core/Typography";
import Checkbox from "@material-ui/core/Checkbox";
import Table from "material-ui/Table";
import TableBody from "material-ui/Table/TableBody";
import { TableCell, TableRow } from "@material-ui/core";
import { TableContainer } from "@material-ui/core";
import MuiThemeProvider from "material-ui/styles/MuiThemeProvider";


const useStyles = makeStyles((theme) => ({
  paper: {
    padding: theme.spacing(3),
    width: theme.spacing(100),
    marginBottom: "2%",
    ["@media (max-width: 896px)"]: {
      width: "300px",
    },
  },
  questionsGrid: {
    marginBottom: "20px",
  },
  text: {
    color: "black",
  },
}));

function FormFieldTable(props) {
  const classes = useStyles();
  console.log(props.answer);
  let table;
  if (props.answer)
    table = props.answer[0].value;
  console.log("table: ",table);

  /**
   * Function to check if an index has a true value.
   * @param index - Index of a given value.
   */

  /** HTML to be displayed. */
  const table_display = (() => {
    return (
        <Grid container>
          <TableContainer component={Paper}>
                  <MuiThemeProvider>
                    <Table aria-label="simple table">
                      <TableBody displayRowCheckbox={false}>
                        {table? table.matrix.map((row, rowNumber) => (
                          <TableRow
                            key={rowNumber}
                            sx={{
                              "&:last-child td, &:last-child th": { border: 0 },
                            }}
                          >
                            {row.map((cell, columnNumber) => (
                              <TableCell component="th" scope="row">
                                {cell}
                              </TableCell>
                            ))}
                          </TableRow>
                        )) : ""}
                      </TableBody>
                    </Table>
                    </MuiThemeProvider>
                </TableContainer>
          <Grid
            item
            container
            direction="row"
            justify="flex-end"
            alignItems="flex-end"
            xs={3}
          ></Grid>
        </Grid>
    );
  });

  return (
    <Paper className={classes.paper}>
      <Grid container>
        <Grid item xs={12} className={classes.questionsGrid}>
          <Typography>id: {Number(props.place)}</Typography>
          <Typography
            style={{ wordWrap: "break-word" }}
            className={classes.text}
            variant="h6"
          >
            {props.question}
          </Typography>
          <Typography style={{ wordWrap: "break-word" }} variant="h8">
            {props.description}
          </Typography>
        </Grid>
        {table_display()}
      </Grid>
    </Paper>
  );
}

export default FormFieldTable;